CIF2RDF(1)

NAME
cif2rdf - parse a CIF file and describe its properties in RDF format.

SYNOPSIS
cif2rdf --options input.cif inputs*.cif

DESCRIPTION
Parse a CIF file and describe its properties in RDF format.

OPTIONS
-C, --cod-number 1000000
                  Use the specified number, 1000000 in this example, as
                  a COD number for this structure; do not take the number
                  from the data block name.

-c, --always-continue
                  Continue processing and return successful return status
                  even if errors are diagnosed.

-c-, --always-die
                  Stop and return error status if errors are diagnosed.

--use-attached-hydrogens
                  Include number of implicit hydrogens, specified using
                  _atom_site_attached_hydrogens tag, into the formula
                  sum (default).

--no-use-attached-hydrogens,

--dont-use-attached-hydrogens,

--ignore-attached-hydrogens
                  Ignore number of implicit hydrogens, specified using
                  _atom_site_attached_hydrogens tag, in calculation of
                   the formula sum.

--reformat-space-group
                  Correct the formatting of Hermann-Mauguin symmetry
                  space group symbol.

--no-reformat-space-group,

--dont-reformat-space-group,

--leave-space-group
                  Do not correct the formatting of Hermann-Mauguin
                  symmetry space group symbol (default).

--use-datablocks-without-coordinates,

--use-all-datablocks
                  Do not filter out data blocks without coordinates.

--no-use-datablocks-without-coordinates,

--do-not-use-datablocks-without-coordinates,

--dont-use-datablocks-without-coordinates,

--skip-datablocks-without-coordinates
                  Filter out data blocks without coordinates (default).

--require-only-doi
                  Do not require all bibliographic details (authors,
                  journal name, title, year, volume and first page of
                  the publication) to be present if publication DOI is
                  specified.

--require-full-bibliography
                  Require author names, journal name, volume, publication
                  title, year and first page to be present (default).

--columns file,flags,Robs

--columns "file flags Robs"
                  Print only columns specified in this option.

--vocabulary-namespace cod
                  Use vocabulary namespace "cod" to prefix properties
                  native to the queried database.

--vocabulary-url-prefix http://www.crystallography.net/cod/doc/rdf/
                  Specify URL prefix for database's native namespace.

--prefix, --db-url-prefix http://www.crystallography.net/cod/
                  Specify URL prefix for all objects in the queried database.

--postfix, --db-url-postfix .html
                  Specify URL postfix for all objects in the queried database.

--split-author-names
                  Split author names in internal database representation at
                  semicolons (';') to produce RDF-parsable list of author names.
                  Each author in such list is marked with "author" property
                  instead of "authors", which is used for non-split value
                  (default).

--no-split-author-names, --dont-split-author-names
                  Make no assumptions about internal database representation
                  of author list.

--xml-output
                  Output RDF in XML carrier format (default).

--n3-output
                  Output RDF in N3 (Notation3) carrier format.

--turtle-output
                  Output RDF in Turtle carrier format.

--ntriples-output, --n-triples-output
                  Output RDF in N-Triples carrier format.

--replace-utf-codepoints-from
                  Replace Unicode code points starting at specified
                  point with carrier format-specific entities.

--no-replace-utf-codepoints, --dont-replace-utf-code-points
                  Leave Unicode code points unescaped (default).

--html-utf-escapes
                  Escape Unicode code points using HTML hexadecimal
                  format corresponding to '&#x%04X;' formatted string
                  (default).

--internal-utf-escapes
                  Escape Unicode code points using internal format
                  corresponding to '\u%04X' formatted string.

--utf-escape-format
                  Escape Unicode code points using format
                  corresponding to the provided formatted string.

--no-header
                  Skip header of corresponding format. May be useful
                  for generation of catenable output.

--no-footer
                  Skip footer of corresponding format. May be useful
                  for generation of catenable output.

--only-header
                  Print header of corresponding format and exit.

--only-footer
                  Print footer of corresponding format and exit.

--continue-on-errors
                  Do not terminate script if errors are raised.

--die-on-errors,

--no-continue-on-errors,

--do-not-continue-on-errors,

--dont-continue-on-errors,

--exit-on-errors
                  Terminate script immediately if errors are raised (default).

--continue-on-warnings
                  Do not terminate script if warnings are raised (default).

--die-on-warnings
                  Terminate script immediately if warnings are raised.

--continue-on-notes
                  Do not terminate script if notes are raised (default).

--die-on-notes
                  Terminate script immediately if notes are raised.

--use-perl-parser
                  Use the Perl parser for parsing CIFs.

--use-c-parser
                  Use the faster C parser for parsing CIFs (default).

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif2rdf bugs using e-mail: cod-bugs@ibt.lt